Class Fox::FXGroupBox

In: | FXGroupBox.rb
Parent: | FXPacker

An FXGroupBox widget provides a nice raised or sunken border around a group of widgets, providing a visual delineation. Typically, a title is placed over the border to provide some clarification. Radio buttons placed inside a group box automatically assume mutually exclusive behaviour, i.e. at most one radio button will be checked at any one time.

### Group box options

`GROUPBOX_TITLE_LEFT`: | Title is left-justified
`GROUPBOX_TITLE_CENTER`: | Title is centered
`GROUPBOX_TITLE_RIGHT`: | Title is right-justified
`GROUPBOX_NORMAL`: | same as `GROUPBOX_TITLE_LEFT`

Methods

new

Attributes

font | [RW] | Title font [FXFont]
groupBoxStyle | [RW] | Group box style [Integer]
text | [RW] | Group box title text [String]
textColor | [RW] | Title text color [FXColor]

Public Class methods

new(parent, text, opts=GROUPBOX_NORMAL, x=0, y=0, width=0, height=0, padLeft=DEFAULT_SPACING, padRight=DEFAULT_SPACING, padTop=DEFAULT_SPACING, padBottom=DEFAULT_SPACING, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theGroupBox| ...}

Construct group box layout manager